# -*- coding: utf-8 -*-
"""Untitled6.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1l4ghqJFXL2i-InFLcopeJi-DquyNrZPv
"""

import numpy as np
import pickle
import glob
import cv2


train_data = []
label_data = []

for x in glob.glob("C:\\Kuliah\\Semester 5\\Prak.Mikro\\Dataset mata\\dataset\\cataract\\*.jpg"):
    img = cv2.cvtColor(cv2.imread(x),cv2.COLOR_BGR2RGB)
    resized = cv2.resize(img, (224,224), interpolation = cv2.INTER_AREA)
    train_data.append((resized))
    label_data.append(0)

for x in glob.glob("C:\\Kuliah\\Semester 5\\Prak.Mikro\\Dataset mata\\dataset\\diabetic_retinopathy\\*.jpg"):
    img = cv2.cvtColor(cv2.imread(x),cv2.COLOR_BGR2RGB)
    resized = cv2.resize(img, (224,224), interpolation = cv2.INTER_AREA)
    train_data.append((resized))
    label_data.append(1)

for x in glob.glob("C:\\Kuliah\\Semester 5\\Prak.Mikro\\Dataset mata\\dataset\\glaucoma\\*.jpg"):
    img = cv2.cvtColor(cv2.imread(x),cv2.COLOR_BGR2RGB)
    resized = cv2.resize(img, (224,224), interpolation = cv2.INTER_AREA)
    train_data.append((resized))
    label_data.append(2)

for x in glob.glob("C:\\Kuliah\\Semester 5\\Prak.Mikro\\Dataset mata\\dataset\\normal\\*.jpg"):
    img = cv2.cvtColor(cv2.imread(x),cv2.COLOR_BGR2RGB)
    resized = cv2.resize(img, (224,224), interpolation = cv2.INTER_AREA)
    train_data.append((resized))
    label_data.append(3)

data_mata = {"img_data" : np.array(train_data), "label_data" : np.array(label_data)}
print(data_mata["img_data"].shape)
output = open('C:\\Kuliah\\Semester 5\\Prak.Mikro.p','wb')
pickle.dump(data_mata,output)
output.close()

csvWrite = open('C:\\Kuliah\\Semester 5\\Prak.Mikro.csv','w')
columnTitleRow = "ClassID,Class\n"
csvWrite.write(columnTitleRow)
csvWrite.write("0,CATARACT\n")
csvWrite.write("1,DIABETIC_RETINOPATHY\n")
csvWrite.write("2,GLAUCOMA\n")
csvWrite.write("3,NORMAL\n")
csvWrite.close()